Name:       abcde
Version:    2.9.3
Release:    %mkrel 3
Summary:    Command-line utility to rip and encode audio CDs
License:    GPLv2
Group:      Sound/Utilities
URL:        https://abcde.einval.com/
Source0:    https://abcde.einval.com/download/%{name}-%{version}.tar.gz
Source1:    http://linukz.org/download/cd-discid-1.3.1.tar.gz
Patch0:     abcde-2.7.2-fix_makefile_install.patch
Patch1:     cd-discid--debuginfo.diff
Requires:   cdparanoia
Requires:   wget
Requires:   vorbis-tools

%description
abcde is a frontend command-line utility (actually, a shell script) that
grabs tracks off a CD, encodes them to Ogg/Vorbis, MP3, FLAC, Ogg/Speex and/or
MPP/MP+(Musepack) format, and tags them, all in one go.

%prep
%setup -q -b0 -a 1

%patch -P 0 -p1 -b .FIX_MAK
pushd cd-discid-1.3.1
%patch -P 1 -p0
popd

%build
pushd cd-discid-1.3.1
    %make_build
popd

%install
%make_install

pushd cd-discid-1.3.1
    make install PREFIX=%{buildroot}%{_prefix}
popd

%files
%doc changelog COPYING README FAQ
%doc examples/abcded examples/abcde.init examples/autorip.sh
%{_bindir}/abcde
%{_bindir}/abcde-musicbrainz-tool
%{_bindir}/cd-discid
%{_bindir}/cddb-tool
%{_mandir}/man1/abcde.*
%{_mandir}/man1/cd-discid.*
%{_mandir}/man1/cddb-tool.*
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Sun Sep 08 2024 wally <wally> 2.9.3-3.mga10
+ Revision: 2093830
+ rebuild (emptylog)

* Tue Mar 15 2022 umeabot <umeabot> 2.9.3-3.mga9
+ Revision: 1792539
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.9.3-2.mga8
+ Revision: 1522795
- Mageia 8 Mass Rebuild

* Thu Feb 07 2019 shlomif <shlomif> 2.9.3-1.mga7
+ Revision: 1363967
- New version 2.9.3

* Sun Sep 23 2018 umeabot <umeabot> 2.9.2-2.mga7
+ Revision: 1297265
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 shlomif <shlomif> 2.9.2-1.mga7
+ Revision: 1253070
- New version 2.9.2

* Sun Mar 11 2018 shlomif <shlomif> 2.9.1-1.mga7
+ Revision: 1208190
- New version 2.9.1

* Mon Sep 11 2017 cjw <cjw> 2.8.1-2.mga7
+ Revision: 1152726
- install all source code in one build dir
  this fixes the debug source package build

* Tue Jan 24 2017 shlomif <shlomif> 2.8.1-1.mga6
+ Revision: 1083320
- New upstream version 2.8.1.

* Sun Jan 15 2017 shlomif <shlomif> 2.8-1.mga6
+ Revision: 1081902
- New version 2.8

* Thu Apr 14 2016 shlomif <shlomif> 2.7.2-1.mga6
+ Revision: 1001409
- New version 2.7.2
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 29 2015 neoclust <neoclust> 2.7.1-2.mga6
+ Revision: 907186
- Rebuild to sync on ARM

* Tue Oct 27 2015 ycantin <ycantin> 2.7.1-1.mga6
+ Revision: 895650
- new version 2.7.1
- fix abcde install path

* Fri Sep 18 2015 tv <tv> 2.7-4.mga6
+ Revision: 880280
- cannot be noarch + kill stripping
- cannot be noarch + kill stripping
- make it noarch thus really fixing empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 2.7-2.mga6
+ Revision: 875179
- Fix build with new rpm ( empty debuginfo)

* Wed Jul 15 2015 sander85 <sander85> 2.7-1.mga6
+ Revision: 854421
- New version: 2.7

* Wed Oct 15 2014 umeabot <umeabot> 2.5.4-5.mga5
+ Revision: 750751
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.4-4.mga5
+ Revision: 677672
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.4-3.mga4
+ Revision: 502436
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.5.4-2.mga3
+ Revision: 345190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 fwang <fwang> 2.5.4-1.mga3
+ Revision: 314343
- new version 2.5.4

* Thu Jun 28 2012 wally <wally> 2.5.3-1.mga3
+ Revision: 264711
- new version 2.5.3
- clean .spec a bit

* Wed Jun 06 2012 shlomif <shlomif> 2.5.2-1.mga3
+ Revision: 256638
- Correct a typo
- New release - 2.5.2
- Convert from tabs to spaces
+ kharec <kharec>
- Clean top of spec, cosmetic changes.

* Fri Mar 25 2011 kharec <kharec> 2.4.2-1.mga1
+ Revision: 77497
- new version

* Tue Mar 15 2011 ennael <ennael> 2.4.1-2.mga1
+ Revision: 71903
- clean spec file
- imported package abcde

